Subject: Re: Problems with CHMOD and CHOWN - I have read the FAQ ! - Than ks !!
From: Jim George <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 6 Aug 2002 21:19:06 +0100

Nick,

	as well as subscribing and contributing to the list...check out /etc/group and the command mkgoup --help.

Jim

On Tue, 6 Aug 2002 11:54:34 -0400
Christopher Faylor <[email-masked]> wrote:

> I set up a mailing list called [email-masked]' which was intended
> for people to discuss cygwin problems.  I am not interested in getting
> into personal one-on-one tech support.
> 
> I will note that you really should go back to the URL that I provided:
> 
> http://cygwin.com/bugs.html
> 
> It's very obvious that you didn't read it.
> 
> Normally I would just forward your email to the cygwin mailing list but your
> nineteen line disclaimer seems to imply that I shouldn't do that.
> 
> So, just to make it clear:  Please do not send me private email with cygwin
> questions.  If someone does respond to this private email, please remove me
> from the Cc.
> 
> I have reset the Reply-To so that your response will go to the cygwin mailing
> list.  FYI.
> 
> cgf
> 
> On Tue, Aug 06, 2002 at 04:38:09PM +0100, Turner, Nicholas wrote:
> >Mark, Jim & Chris....
> > 
> >Thanks very much to all of you for you help and advice, much appreciated !
> > 
> >Mark, here's answers to you questions:
> > 
> >    $ cygpath -w $PWD
> >    d:\Progra~1\Cygnus\home\N_Turner
> > 
> >As for confirming that the d:/ partition is NTFS, I've always known and the
> >'Disk Administrator' utility from Windows NT4 shows me what partitions are
> >set up.
> > 
> >I have set the CYGWIN environment variable using the 'System' utility under
> >Control Panel /Start/Settings/ControlPanel/System then select Environment
> >tab and set the variable form there:
> > 
> >    $ echo $CYGWIN
> >    binmode tty ntsec
> > 
> > I've also tried export the variable; $ echo $CYGWIN, but this had no
> >effect.
> > 
> >One discovery was when I changed my /etc/passwd file to the following:
> > 
> >$ cat ../../etc/passwd
> >Everyone:*:0:0:,S-1-1-0::
> >SYSTEM:*:18:18:,S-1-5-18::
> >N_Turner:*:544:544:,S-1-5-32-544::
> >Administrator:unused_by_nt/2000/xp:500:513:U-PC435\Administrator,S-1-5-21-12
> >02089772-181227682-740312968-500:/home/Administrator:/bin/bash
> >Guest:unused_by_nt/2000/xp:501:513:U-PC435\Guest,S-1-5-21-1202089772-1812276
> >82-740312968-501:/home/Guest:/bin/bash
> > 
> >I included the 'N_Turner' entry and now I can CHMOD and CHOWN, but if I
> >create a file I get the following.
> > 
> > <mailto:N_Turner@PC435> N_Turner@PC435 ~/work
> >$ mkdir problems
> > 
> > <mailto:N_Turner@PC435> N_Turner@PC435 ~/work
> >$ cd problems/
> > 
> > <mailto:N_Turner@PC435> N_Turner@PC435 ~/work/problems
> >$ ls -l
> >total 0
> > 
> > <mailto:N_Turner@PC435> N_Turner@PC435 ~/work/problems
> >$ touch file.txt
> > 
> > <mailto:N_Turner@PC435> N_Turner@PC435 ~/work/problems
> >$ ls -lk
> >total 0
> >-rw-rw-rw-    1 1235     Administ        0 Aug  6 15:36 file.txt
> > 
> >Maybe the groups file is screwed, but I haven't touched that.
> > 
> >Well, I keep trying, and thanks again for your help.
> >
> >
> >Nick.
> >IMServ Europe Ltd
> >Scorpio, Rockingham Drive, Linford Wood,
> >Milton Keynes, MK14 6LY
> >Tel: 01908 696000                Fax:  01908 692791
> >Registered in England and Wales No. 2749624
> >Registered Address: Invensys House, Carlisle Place, London, SW1P 1BX
> >
> >
> >Disclaimer Notice
> >
> >This message is private and confidential and should only be read by those to
> >whom it is addressed. If you are not the intended recipient, you should not
> >copy it or use if for any purpose, nor disclose its contents to any other
> >person, please also telephone IMServ Europe Limited ("IMServ") immediately,
> >delete the message from your computer and destroy any copies.
> >
> >This message is not intended to be relied upon without subsequent written
> >confirmation of its contents.  IMServ therefore cannot accept any liability
> >of any kind which may arise from any person acting upon the contents of the
> >message without having had written confirmation.
> >
> >Although this email and any attachments is believed to be free of any virus,
> >or other defect which might affect any computer or IT system into which it
> >is received and opened, it is the responsibility of the recipient to ensure
> >that it is virus free and no responsibility is accepted by IMServ for any
> >loss or damage
> > 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/